from django.conf import settings
from django.utils.module_loading import cached_import

_filter_module = getattr(settings, "RIGHTS_FILTER_MODULE", None) or "arkindex.users.allow_all"

filter_rights = cached_import(_filter_module, "filter_rights")
get_max_level = cached_import(_filter_module, "get_max_level")
has_access = cached_import(_filter_module, "has_access")
